# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="Netcat: The powershell version"
HOMEPAGE="https://github.com/besimorhino/powercat"

if [[ ${PV} != *9999 ]]; then
	EGIT_COMMIT="ff755efeb2abc3f02fa0640cd01b87c4a59d6bb5"
	SRC_URI="https://github.com/besimorhino/powercat/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
	S="${WORKDIR}/${PN}-${EGIT_COMMIT}"
	KEYWORDS="~amd64 ~arm ~x86"
else
	EGIT_REPO_URI="https://github.com/besimorhino/powercat"
	inherit git-r3
fi

LICENSE="public-domain"
SLOT="0"

src_install() {
	insinto "/usr/share/powercat"
	doins -r "${PN}".ps1

	dodoc README.md
}
